Skip to main content
`Ctrl`+`K`

# CharacteristicSolve

Apply the Method of Characteristics solver

## Synopsis

    #include "petsccharacteristic.h"
    PetscErrorCode CharacteristicSolve(Characteristic c, PetscReal dt, Vec solution)

Collective

## Input Parameters

- c - context obtained from `CharacteristicCreate()`

- dt - the time-step

- solution - vector holding the solution

## See Also

TS: Scalable ODE and DAE Solvers, `Characteristic`, `CharacteristicCreate()`, `CharacteristicDestroy()`

## Level

developer

## Location

src/ts/characteristic/interface/characteristic.c

Index of all Characteristic routines
Table of Contents for all manual pages
Index of all manual pages